<Activity mc:Ignorable="sap sap2010" x:Class="DownloadFile" this:DownloadFile.id="199444159" xmlns="http://schemas.microsoft.com/netfx/2009/xaml/activities" xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" xmlns:mva="clr-namespace:Microsoft.VisualBasic.Activities;assembly=System.Activities" xmlns:sap="http://schemas.microsoft.com/netfx/2009/xaml/activities/presentation" xmlns:sap2010="http://schemas.microsoft.com/netfx/2010/xaml/activities/presentation" xmlns:scg="clr-namespace:System.Collections.Generic;assembly=mscorlib" xmlns:sd="clr-namespace:System.Data;assembly=System.Data" xmlns:str="clr-namespace:System.Text.RegularExpressions;assembly=System" xmlns:this="clr-namespace:" xmlns:ui="http://schemas.uipath.com/workflow/activities" xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">
  <x:Members>
    <x:Property Name="id" Type="InArgument(x:String)" />
  </x:Members>
  <mva:VisualBasic.Settings>
    <x:Null />
  </mva:VisualBasic.Settings>
  <sap:VirtualizedContainerService.HintSize>1392,6101</sap:VirtualizedContainerService.HintSize>
  <sap2010:WorkflowViewState.IdRef>DownloadFile_1</sap2010:WorkflowViewState.IdRef>
  <TextExpression.NamespacesForImplementation>
    <scg:List x:TypeArguments="x:String" Capacity="37">
      <x:String>System.Activities</x:String>
      <x:String>System.Activities.Statements</x:String>
      <x:String>System.Activities.Expressions</x:String>
      <x:String>System.Activities.Validation</x:String>
      <x:String>System.Activities.XamlIntegration</x:String>
      <x:String>Microsoft.VisualBasic</x:String>
      <x:String>Microsoft.VisualBasic.Activities</x:String>
      <x:String>System</x:String>
      <x:String>System.Collections</x:String>
      <x:String>System.Collections.Generic</x:String>
      <x:String>System.Data</x:String>
      <x:String>System.Diagnostics</x:String>
      <x:String>System.Drawing</x:String>
      <x:String>System.IO</x:String>
      <x:String>System.Linq</x:String>
      <x:String>System.Net.Mail</x:String>
      <x:String>System.Xml</x:String>
      <x:String>System.Xml.Linq</x:String>
      <x:String>UiPath.Core</x:String>
      <x:String>UiPath.Core.Activities</x:String>
      <x:String>System.Windows.Markup</x:String>
      <x:String>System.Collections.ObjectModel</x:String>
      <x:String>System.Activities.DynamicUpdate</x:String>
      <x:String>UiPath.UIAutomationNext.Enums</x:String>
      <x:String>System.Reflection</x:String>
      <x:String>System.Runtime.InteropServices</x:String>
      <x:String>System.Windows</x:String>
      <x:String>System.Windows.Media.Animation</x:String>
      <x:String>System.Windows.Media</x:String>
      <x:String>System.Windows.Threading</x:String>
      <x:String>System.ComponentModel</x:String>
      <x:String>System.Runtime.Serialization</x:String>
      <x:String>System.Xml.Serialization</x:String>
      <x:String>System.Text.RegularExpressions</x:String>
      <x:String>UiPath.Excel</x:String>
      <x:String>UiPath.Excel.Activities</x:String>
      <x:String>Microsoft.VisualBasic.CompilerServices</x:String>
    </scg:List>
  </TextExpression.NamespacesForImplementation>
  <TextExpression.ReferencesForImplementation>
    <scg:List x:TypeArguments="AssemblyReference" Capacity="62">
      <AssemblyReference>System.Activities</AssemblyReference>
      <AssemblyReference>Microsoft.VisualBasic</AssemblyReference>
      <AssemblyReference>mscorlib</AssemblyReference>
      <AssemblyReference>System.Data</AssemblyReference>
      <AssemblyReference>System.Data.DataSetExtensions</AssemblyReference>
      <AssemblyReference>System</AssemblyReference>
      <AssemblyReference>System.Drawing</AssemblyReference>
      <AssemblyReference>System.Core</AssemblyReference>
      <AssemblyReference>System.Xml</AssemblyReference>
      <AssemblyReference>System.Xml.Linq</AssemblyReference>
      <AssemblyReference>PresentationFramework</AssemblyReference>
      <AssemblyReference>WindowsBase</AssemblyReference>
      <AssemblyReference>PresentationCore</AssemblyReference>
      <AssemblyReference>System.Xaml</AssemblyReference>
      <AssemblyReference>UiPath.System.Activities</AssemblyReference>
      <AssemblyReference>UiPath.UiAutomation.Activities</AssemblyReference>
      <AssemblyReference>UiPath.UIAutomationNext</AssemblyReference>
      <AssemblyReference>System.ServiceModel</AssemblyReference>
      <AssemblyReference>Microsoft.Bcl.AsyncInterfaces</AssemblyReference>
      <AssemblyReference>System.ValueTuple</AssemblyReference>
      <AssemblyReference>System.ComponentModel.Composition</AssemblyReference>
      <AssemblyReference>UiPath.Mail</AssemblyReference>
      <AssemblyReference>UiPath.Excel</AssemblyReference>
      <AssemblyReference>System.Memory</AssemblyReference>
      <AssemblyReference>UiPath.OCR.Activities.Design</AssemblyReference>
      <AssemblyReference>UiPath.UIAutomationCore</AssemblyReference>
      <AssemblyReference>UiPath.System.Activities.Design</AssemblyReference>
      <AssemblyReference>ReachFramework</AssemblyReference>
      <AssemblyReference>System.Windows.Presentation</AssemblyReference>
      <AssemblyReference>System.Runtime.Serialization</AssemblyReference>
      <AssemblyReference>UiPath.Excel.Activities</AssemblyReference>
      <AssemblyReference>System.Runtime.WindowsRuntime</AssemblyReference>
    </scg:List>
  </TextExpression.ReferencesForImplementation>
  <Sequence DisplayName="DownloadFile" sap:VirtualizedContainerService.HintSize="1402,6036" sap2010:WorkflowViewState.IdRef="Sequence_1">
    <Sequence.Variables>
      <Variable x:TypeArguments="scg:IEnumerable(ui:UiElement)" Name="comments" />
      <Variable x:TypeArguments="x:String" Name="Username" />
      <Variable x:TypeArguments="x:String" Name="Comment" />
      <Variable x:TypeArguments="scg:List(x:String)" Default="[new System.Collections.Generic.List(Of String)]" Name="links" />
      <Variable x:TypeArguments="x:String" Name="CommentDate" />
      <Variable x:TypeArguments="x:Boolean" Name="NextIsMessage" />
      <Variable x:TypeArguments="x:Boolean" Name="readyForAttach" />
      <Variable x:TypeArguments="scg:List(x:String)" Default="[new System.Collections.Generic.List(Of String)]" Name="files" />
      <Variable x:TypeArguments="sd:DataTable" Name="CommentTable" />
      <Variable x:TypeArguments="x:Boolean" Name="FirstComment" />
      <Variable x:TypeArguments="x:String" Default="150704" Name="communityID" />
      <Variable x:TypeArguments="x:String" Default="[communityID + &quot;\&quot; + id + &quot;\&quot;]" Name="LocalFolder" />
      <Variable x:TypeArguments="x:String" Name="Link_Text" />
      <Variable x:TypeArguments="x:String" Default="[&quot;C:\Backup\&quot; + LocalFolder]" Name="CompleteFolder" />
      <Variable x:TypeArguments="x:Int32" Name="CommentID" />
      <Variable x:TypeArguments="x:Boolean" Name="IsAttachment" />
      <Variable x:TypeArguments="ui:Browser" Name="browser" />
      <Variable x:TypeArguments="x:String" Name="AttachmentID" />
    </Sequence.Variables>
    <sap:WorkflowViewStateService.ViewState>
      <scg:Dictionary x:TypeArguments="x:String, x:Object">
        <x:Boolean x:Key="IsExpanded">True</x:Boolean>
      </scg:Dictionary>
    </sap:WorkflowViewStateService.ViewState>
    <Assign sap:VirtualizedContainerService.HintSize="1360,60" sap2010:WorkflowViewState.IdRef="Assign_17">
      <Assign.To>
        <OutArgument x:TypeArguments="x:Int32">[CommentID]</OutArgument>
      </Assign.To>
      <Assign.Value>
        <InArgument x:TypeArguments="x:Int32">0</InArgument>
      </Assign.Value>
    </Assign>
    <ui:BuildDataTable DataTable="[CommentTable]" DisplayName="Build Data Table" sap:VirtualizedContainerService.HintSize="1360,59" sap2010:WorkflowViewState.IdRef="BuildDataTable_1" TableInfo="&lt;NewDataSet&gt;&#xD;&#xA;  &lt;xs:schema id=&quot;NewDataSet&quot; xmlns=&quot;&quot; xmlns:xs=&quot;http://www.w3.org/2001/XMLSchema&quot; xmlns:msdata=&quot;urn:schemas-microsoft-com:xml-msdata&quot;&gt;&#xD;&#xA;    &lt;xs:element name=&quot;NewDataSet&quot; msdata:IsDataSet=&quot;true&quot; msdata:MainDataTable=&quot;TableName&quot; msdata:UseCurrentLocale=&quot;true&quot;&gt;&#xD;&#xA;      &lt;xs:complexType&gt;&#xD;&#xA;        &lt;xs:choice minOccurs=&quot;0&quot; maxOccurs=&quot;unbounded&quot;&gt;&#xD;&#xA;          &lt;xs:element name=&quot;TableName&quot;&gt;&#xD;&#xA;            &lt;xs:complexType&gt;&#xD;&#xA;              &lt;xs:sequence&gt;&#xD;&#xA;                &lt;xs:element name=&quot;Id&quot; msdata:Caption=&quot;&quot; minOccurs=&quot;0&quot;&gt;&#xD;&#xA;                  &lt;xs:simpleType&gt;&#xD;&#xA;                    &lt;xs:restriction base=&quot;xs:string&quot;&gt;&#xD;&#xA;                      &lt;xs:maxLength value=&quot;100&quot; /&gt;&#xD;&#xA;                    &lt;/xs:restriction&gt;&#xD;&#xA;                  &lt;/xs:simpleType&gt;&#xD;&#xA;                &lt;/xs:element&gt;&#xD;&#xA;                &lt;xs:element name=&quot;Comment_x0020_By&quot; msdata:Caption=&quot;&quot; type=&quot;xs:string&quot; minOccurs=&quot;0&quot; /&gt;&#xD;&#xA;                &lt;xs:element name=&quot;Date&quot; msdata:Caption=&quot;&quot; type=&quot;xs:string&quot; minOccurs=&quot;0&quot; /&gt;&#xD;&#xA;                &lt;xs:element name=&quot;Comment&quot; msdata:Caption=&quot;&quot; type=&quot;xs:string&quot; minOccurs=&quot;0&quot; /&gt;&#xD;&#xA;                &lt;xs:element name=&quot;Files&quot; msdata:Caption=&quot;&quot; type=&quot;xs:string&quot; minOccurs=&quot;0&quot; /&gt;&#xD;&#xA;                &lt;xs:element name=&quot;Attachments_x0020_Folder&quot; msdata:Caption=&quot;&quot; type=&quot;xs:string&quot; minOccurs=&quot;0&quot; /&gt;&#xD;&#xA;              &lt;/xs:sequence&gt;&#xD;&#xA;            &lt;/xs:complexType&gt;&#xD;&#xA;          &lt;/xs:element&gt;&#xD;&#xA;        &lt;/xs:choice&gt;&#xD;&#xA;      &lt;/xs:complexType&gt;&#xD;&#xA;    &lt;/xs:element&gt;&#xD;&#xA;  &lt;/xs:schema&gt;&#xD;&#xA;&lt;/NewDataSet&gt;" />
    <ui:AddDataRow DataRow="{x:Null}" ArrayRow="[{id,&quot;&quot;,&quot;&quot;,&quot;&quot;}]" DataTable="[CommentTable]" DisplayName="Add Data Row" sap:VirtualizedContainerService.HintSize="1360,22" sap2010:WorkflowViewState.IdRef="AddDataRow_3" />
    <ui:OpenBrowser CommunicationMethod="{x:Null}" Hidden="{x:Null}" NewSession="{x:Null}" Private="{x:Null}" BrowserType="Chrome" DisplayName="Open Browser" sap:VirtualizedContainerService.HintSize="1360,5683" sap2010:WorkflowViewState.IdRef="OpenBrowser_1" UiBrowser="[browser]" Url="[&quot;https://supportcentral.ge.com/caseforms/form_comments.asp?form_doc_id=&quot;+id]">
      <ui:OpenBrowser.Body>
        <ActivityAction x:TypeArguments="x:Object">
          <ActivityAction.Argument>
            <DelegateInArgument x:TypeArguments="x:Object" Name="ContextTarget" />
          </ActivityAction.Argument>
          <Sequence DisplayName="Do" sap:VirtualizedContainerService.HintSize="1326,5582" sap2010:WorkflowViewState.IdRef="Sequence_2">
            <Sequence.Variables>
              <Variable x:TypeArguments="x:Boolean" Name="needLogin" />
            </Sequence.Variables>
            <sap:WorkflowViewStateService.ViewState>
              <scg:Dictionary x:TypeArguments="x:String, x:Object">
                <x:Boolean x:Key="IsExpanded">True</x:Boolean>
              </scg:Dictionary>
            </sap:WorkflowViewStateService.ViewState>
            <ui:UiElementExists DisplayName="Element Exists 'DIV'" Exists="[needLogin]" sap:VirtualizedContainerService.HintSize="1284,106" sap2010:WorkflowViewState.IdRef="UiElementExists_1">
              <ui:UiElementExists.Target>
                <ui:Target ClippingRegion="{x:Null}" Element="{x:Null}" Id="03716c1a-cdf3-4bdd-b44d-83b920a8a3f2" InformativeScreenshot="cb8ca62ffc143a02da0e3474ba54bd11" Selector="&lt;html app='chrome.exe' title='GE Single Sign On' idx='7' /&gt;&lt;webctrl aaname='                                 Single Sign On                             ' /&gt;">
                  <ui:Target.TimeoutMS>
                    <InArgument x:TypeArguments="x:Int32" />
                  </ui:Target.TimeoutMS>
                  <ui:Target.WaitForReady>
                    <InArgument x:TypeArguments="ui:WaitForReady" />
                  </ui:Target.WaitForReady>
                </ui:Target>
              </ui:UiElementExists.Target>
            </ui:UiElementExists>
            <If Condition="[needLogin = True]" sap:VirtualizedContainerService.HintSize="1284,288" sap2010:WorkflowViewState.IdRef="If_1">
              <If.Then>
                <ui:InvokeWorkflowFile ArgumentsVariable="{x:Null}" ContinueOnError="{x:Null}" DisplayName="Invoke Login workflow" sap:VirtualizedContainerService.HintSize="334,112" sap2010:WorkflowViewState.IdRef="InvokeWorkflowFile_3" LogEntry="No" LogExit="No" UnSafe="False" WorkflowFileName="Login.xaml">
                  <ui:InvokeWorkflowFile.Arguments>
                    <InArgument x:TypeArguments="ui:Browser" x:Key="browser">[browser]</InArgument>
                  </ui:InvokeWorkflowFile.Arguments>
                </ui:InvokeWorkflowFile>
              </If.Then>
              <If.Else>
                <Sequence sap2010:WorkflowViewState.IdRef="Sequence_29">
                  <sap:WorkflowViewStateService.ViewState>
                    <scg:Dictionary x:TypeArguments="x:String, x:Object">
                      <x:Boolean x:Key="IsExpanded">True</x:Boolean>
                    </scg:Dictionary>
                  </sap:WorkflowViewStateService.ViewState>
                </Sequence>
              </If.Else>
            </If>
            <ui:FindChildren Children="[comments]" DisplayName="Find Children 'TD'" Filter="&lt;webctrl tag='td'/&gt;" sap:VirtualizedContainerService.HintSize="1284,106" sap2010:WorkflowViewState.IdRef="FindChildren_1" Scope="FIND_DESCENDANTS">
              <ui:FindChildren.Target>
                <ui:Target ClippingRegion="{x:Null}" Element="{x:Null}" Id="7ec5f6c5-2820-471e-8cb5-210e06c6f178" InformativeScreenshot="e456b3e092bafe21f012357028dab132" Selector="&lt;webctrl tag='TABLE' innertext='*Form Comments*' title='Form Comments' /&gt;">
                  <ui:Target.TimeoutMS>
                    <InArgument x:TypeArguments="x:Int32" />
                  </ui:Target.TimeoutMS>
                  <ui:Target.WaitForReady>
                    <InArgument x:TypeArguments="ui:WaitForReady" />
                  </ui:Target.WaitForReady>
                </ui:Target>
              </ui:FindChildren.Target>
            </ui:FindChildren>
            <Assign sap:VirtualizedContainerService.HintSize="1284,60" sap2010:WorkflowViewState.IdRef="Assign_12">
              <Assign.To>
                <OutArgument x:TypeArguments="x:Boolean">[FirstComment]</OutArgument>
              </Assign.To>
              <Assign.Value>
                <InArgument x:TypeArguments="x:Boolean">True</InArgument>
              </Assign.Value>
            </Assign>
            <ui:LogMessage DisplayName="Log Message" sap:VirtualizedContainerService.HintSize="1284,91" sap2010:WorkflowViewState.IdRef="LogMessage_2" Level="Info" Message="[&quot;Comments found&quot;]" />
            <ui:ForEach x:TypeArguments="ui:UiElement" CurrentIndex="{x:Null}" DisplayName="For Each" sap:VirtualizedContainerService.HintSize="1284,4639" sap2010:WorkflowViewState.IdRef="ForEach`1_1" Values="[comments]">
              <ui:ForEach.Body>
                <ActivityAction x:TypeArguments="ui:UiElement">
                  <ActivityAction.Argument>
                    <DelegateInArgument x:TypeArguments="ui:UiElement" Name="item" />
                  </ActivityAction.Argument>
                  <Sequence DisplayName="Body" sap:VirtualizedContainerService.HintSize="1248,4506" sap2010:WorkflowViewState.IdRef="Sequence_5">
                    <Sequence.Variables>
                      <Variable x:TypeArguments="x:String" Name="FullPath" />
                      <Variable x:TypeArguments="x:String" Name="itemClass" />
                      <Variable x:TypeArguments="scg:IEnumerable(ui:UiElement)" Name="innerChild" />
                    </Sequence.Variables>
                    <sap:WorkflowViewStateService.ViewState>
                      <scg:Dictionary x:TypeArguments="x:String, x:Object">
                        <x:Boolean x:Key="IsExpanded">True</x:Boolean>
                      </scg:Dictionary>
                    </sap:WorkflowViewStateService.ViewState>
                    <ui:FindChildren Children="[innerChild]" DisplayName="Find Children" Filter="&lt;webctrl /&gt;" sap:VirtualizedContainerService.HintSize="1206,68" sap2010:WorkflowViewState.IdRef="FindChildren_2" Scope="FIND_CHILDREN">
                      <ui:FindChildren.Target>
                        <ui:Target ClippingRegion="{x:Null}" Selector="{x:Null}" Element="[item]" Id="af65ce92-35c2-4446-8213-cc3f7a35c464">
                          <ui:Target.TimeoutMS>
                            <InArgument x:TypeArguments="x:Int32" />
                          </ui:Target.TimeoutMS>
                          <ui:Target.WaitForReady>
                            <InArgument x:TypeArguments="ui:WaitForReady" />
                          </ui:Target.WaitForReady>
                        </ui:Target>
                      </ui:FindChildren.Target>
                    </ui:FindChildren>
                    <ui:MultipleAssign DisplayName="Multiple Assign" sap:VirtualizedContainerService.HintSize="1206,129" sap2010:WorkflowViewState.IdRef="MultipleAssign_1">
                      <ui:MultipleAssign.AssignOperations>
                        <scg:List x:TypeArguments="ui:AssignOperation" Capacity="4">
                          <ui:AssignOperation sap2010:WorkflowViewState.IdRef="AssignOperation_1">
                            <ui:AssignOperation.To>
                              <OutArgument x:TypeArguments="x:Boolean">[NextIsMessage]</OutArgument>
                            </ui:AssignOperation.To>
                            <ui:AssignOperation.Value>
                              <InArgument x:TypeArguments="x:Boolean">False</InArgument>
                            </ui:AssignOperation.Value>
                          </ui:AssignOperation>
                          <ui:AssignOperation sap2010:WorkflowViewState.IdRef="AssignOperation_2">
                            <ui:AssignOperation.To>
                              <OutArgument x:TypeArguments="x:Boolean">[readyForAttach]</OutArgument>
                            </ui:AssignOperation.To>
                            <ui:AssignOperation.Value>
                              <InArgument x:TypeArguments="x:Boolean">False</InArgument>
                            </ui:AssignOperation.Value>
                          </ui:AssignOperation>
                        </scg:List>
                      </ui:MultipleAssign.AssignOperations>
                    </ui:MultipleAssign>
                    <ui:ForEach x:TypeArguments="ui:UiElement" CurrentIndex="{x:Null}" DisplayName="For Each" sap:VirtualizedContainerService.HintSize="1206,4137" sap2010:WorkflowViewState.IdRef="ForEach`1_3" Values="[innerChild]">
                      <ui:ForEach.Body>
                        <ActivityAction x:TypeArguments="ui:UiElement">
                          <ActivityAction.Argument>
                            <DelegateInArgument x:TypeArguments="ui:UiElement" Name="innerItem" />
                          </ActivityAction.Argument>
                          <Sequence DisplayName="Body" sap:VirtualizedContainerService.HintSize="1170,4004" sap2010:WorkflowViewState.IdRef="Sequence_6">
                            <Sequence.Variables>
                              <Variable x:TypeArguments="x:String" Name="itemText" />
                              <Variable x:TypeArguments="x:Boolean" Name="IsNameAndDate" />
                              <Variable x:TypeArguments="x:String" Name="itemHref" />
                              <Variable x:TypeArguments="x:String" Name="itemStyle" />
                            </Sequence.Variables>
                            <sap:WorkflowViewStateService.ViewState>
                              <scg:Dictionary x:TypeArguments="x:String, x:Object">
                                <x:Boolean x:Key="IsExpanded">True</x:Boolean>
                              </scg:Dictionary>
                            </sap:WorkflowViewStateService.ViewState>
                            <ui:GetAttribute ContinueOnError="{x:Null}" Attribute="innerText" DisplayName="Get Inner Text" sap:VirtualizedContainerService.HintSize="1128,96" sap2010:WorkflowViewState.IdRef="GetAttribute_1">
                              <ui:GetAttribute.Result>
                                <OutArgument x:TypeArguments="x:String">[itemText]</OutArgument>
                              </ui:GetAttribute.Result>
                              <ui:GetAttribute.Target>
                                <ui:Target ClippingRegion="{x:Null}" Selector="{x:Null}" Element="[Inneritem]" Id="01725ba2-74bc-49c5-a6c3-e910ec5c1622">
                                  <ui:Target.TimeoutMS>
                                    <InArgument x:TypeArguments="x:Int32" />
                                  </ui:Target.TimeoutMS>
                                  <ui:Target.WaitForReady>
                                    <InArgument x:TypeArguments="ui:WaitForReady" />
                                  </ui:Target.WaitForReady>
                                </ui:Target>
                              </ui:GetAttribute.Target>
                            </ui:GetAttribute>
                            <If Condition="[itemText.Equals(&quot;&quot;)]" sap:VirtualizedContainerService.HintSize="1128,236" sap2010:WorkflowViewState.IdRef="If_9">
                              <If.Then>
                                <ui:Continue sap:VirtualizedContainerService.HintSize="200,22" sap2010:WorkflowViewState.IdRef="Continue_1" />
                              </If.Then>
                            </If>
                            <ui:GetAttribute ContinueOnError="{x:Null}" Attribute="class" DisplayName="Get Attribute" sap:VirtualizedContainerService.HintSize="1128,96" sap2010:WorkflowViewState.IdRef="GetAttribute_2">
                              <ui:GetAttribute.Result>
                                <OutArgument x:TypeArguments="x:String">[itemStyle]</OutArgument>
                              </ui:GetAttribute.Result>
                              <ui:GetAttribute.Target>
                                <ui:Target ClippingRegion="{x:Null}" Selector="{x:Null}" Element="[innerItem]" Id="f09b20b0-6288-4189-9772-eca71082597f">
                                  <ui:Target.TimeoutMS>
                                    <InArgument x:TypeArguments="x:Int32" />
                                  </ui:Target.TimeoutMS>
                                  <ui:Target.WaitForReady>
                                    <InArgument x:TypeArguments="ui:WaitForReady" />
                                  </ui:Target.WaitForReady>
                                </ui:Target>
                              </ui:GetAttribute.Target>
                            </ui:GetAttribute>
                            <ui:GetAttribute ContinueOnError="{x:Null}" Attribute="href" DisplayName="Get Attribute" sap:VirtualizedContainerService.HintSize="1128,96" sap2010:WorkflowViewState.IdRef="GetAttribute_3">
                              <ui:GetAttribute.Result>
                                <OutArgument x:TypeArguments="x:String">[itemHref]</OutArgument>
                              </ui:GetAttribute.Result>
                              <ui:GetAttribute.Target>
                                <ui:Target ClippingRegion="{x:Null}" Selector="{x:Null}" Element="[innerItem]" Id="9654b453-f9f3-4015-b3a9-135c4a5e0d00">
                                  <ui:Target.TimeoutMS>
                                    <InArgument x:TypeArguments="x:Int32" />
                                  </ui:Target.TimeoutMS>
                                  <ui:Target.WaitForReady>
                                    <InArgument x:TypeArguments="ui:WaitForReady" />
                                  </ui:Target.WaitForReady>
                                </ui:Target>
                              </ui:GetAttribute.Target>
                            </ui:GetAttribute>
                            <If Condition="[itemText.Equals(&quot;New Comment&quot;)]" sap:VirtualizedContainerService.HintSize="1128,3228" sap2010:WorkflowViewState.IdRef="If_8">
                              <If.Then>
                                <ui:ExcelApplicationScope Password="{x:Null}" DisplayName="Excel Application Scope" sap:VirtualizedContainerService.HintSize="434,742" sap2010:WorkflowViewState.IdRef="ExcelApplicationScope_2" InstanceCachePeriod="3000" WorkbookPath="C:\Backup\Report.xlsx">
                                  <ui:ExcelApplicationScope.Body>
                                    <ActivityAction x:TypeArguments="ui:WorkbookApplication">
                                      <ActivityAction.Argument>
                                        <DelegateInArgument x:TypeArguments="ui:WorkbookApplication" Name="ExcelWorkbookScope" />
                                      </ActivityAction.Argument>
                                      <Sequence DisplayName="Do" sap:VirtualizedContainerService.HintSize="376,633" sap2010:WorkflowViewState.IdRef="Sequence_18">
                                        <Sequence.Variables>
                                          <Variable x:TypeArguments="x:String" Name="percorso" />
                                        </Sequence.Variables>
                                        <sap:WorkflowViewStateService.ViewState>
                                          <scg:Dictionary x:TypeArguments="x:String, x:Object">
                                            <x:Boolean x:Key="IsExpanded">True</x:Boolean>
                                          </scg:Dictionary>
                                        </sap:WorkflowViewStateService.ViewState>
                                        <Assign sap:VirtualizedContainerService.HintSize="334,60" sap2010:WorkflowViewState.IdRef="Assign_16">
                                          <Assign.To>
                                            <OutArgument x:TypeArguments="x:String">[percorso]</OutArgument>
                                          </Assign.To>
                                          <Assign.Value>
                                            <InArgument x:TypeArguments="x:String">[".\" + LocalFolder]</InArgument>
                                          </Assign.Value>
                                        </Assign>
                                        <Assign sap:VirtualizedContainerService.HintSize="334,60" sap2010:WorkflowViewState.IdRef="Assign_15">
                                          <Assign.To>
                                            <OutArgument x:TypeArguments="x:String">[Link_Text]</OutArgument>
                                          </Assign.To>
                                          <Assign.Value>
                                            <InArgument x:TypeArguments="x:String">["=HYPERLINK(" + chr(34).toString + percorso + chr(34).toString + ";" + chr(34).toString + "Folder" + chr(34).toString + ")"]</InArgument>
                                          </Assign.Value>
                                        </Assign>
                                        <Sequence sap:VirtualizedContainerService.HintSize="334,214" sap2010:WorkflowViewState.IdRef="Sequence_19">
                                          <sap:WorkflowViewStateService.ViewState>
                                            <scg:Dictionary x:TypeArguments="x:String, x:Object">
                                              <x:Boolean x:Key="IsExpanded">True</x:Boolean>
                                            </scg:Dictionary>
                                          </sap:WorkflowViewStateService.ViewState>
                                          <ui:AddDataRow DataRow="{x:Null}" ArrayRow="[{&quot;&quot;,Username,CommentDate,Comment,&quot;=HYPERLINK(&quot;&quot;&quot; +localFolder + AttachmentID + &quot;&quot;&quot;)&quot;}]" DataTable="[CommentTable]" DisplayName="Add Data Row" sap:VirtualizedContainerService.HintSize="262,22" sap2010:WorkflowViewState.IdRef="AddDataRow_4" />
                                          <Assign sap:VirtualizedContainerService.HintSize="262,60" sap2010:WorkflowViewState.IdRef="Assign_14">
                                            <Assign.To>
                                              <OutArgument x:TypeArguments="x:Boolean">[readyForAttach]</OutArgument>
                                            </Assign.To>
                                            <Assign.Value>
                                              <InArgument x:TypeArguments="x:Boolean">False</InArgument>
                                            </Assign.Value>
                                          </Assign>
                                        </Sequence>
                                        <ui:ExcelAppendRange DataTable="[CommentTable]" DisplayName="Append Range" sap:VirtualizedContainerService.HintSize="334,87" sap2010:WorkflowViewState.IdRef="ExcelAppendRange_2" SheetName="Sheet1" />
                                      </Sequence>
                                    </ActivityAction>
                                  </ui:ExcelApplicationScope.Body>
                                </ui:ExcelApplicationScope>
                              </If.Then>
                              <If.Else>
                                <Sequence sap:VirtualizedContainerService.HintSize="649,3071" sap2010:WorkflowViewState.IdRef="Sequence_17">
                                  <sap:WorkflowViewStateService.ViewState>
                                    <scg:Dictionary x:TypeArguments="x:String, x:Object">
                                      <x:Boolean x:Key="IsExpanded">True</x:Boolean>
                                    </scg:Dictionary>
                                  </sap:WorkflowViewStateService.ViewState>
                                  <ui:IsMatch BuilderPattern="^\[ Comment By ([a-zA-Z]*,[a-z A-Z]*) On (.*)]" DisplayName="IsComment" sap:VirtualizedContainerService.HintSize="607,59" sap2010:WorkflowViewState.IdRef="IsMatch_2" Input="[itemText]" IsBuilderTabModified="True" Model="[{&quot;Index&quot;:0,&quot;OperationID&quot;:&quot;ADV&quot;,&quot;OperationName&quot;:&quot;Advanced&quot;,&quot;OperationValue&quot;:&quot;^\\[ Comment By ([a-zA-Z]*,[a-z A-Z]*) On (.*)]&quot;,&quot;QuantifierFirstValue&quot;:&quot;1&quot;,&quot;QuantifierID&quot;:&quot;EXT&quot;,&quot;QuantifierName&quot;:&quot;Exactly&quot;,&quot;QuantifierSecondValue&quot;:null}]" Pattern="^\[ Comment By ([a-zA-Z]*,[a-z A-Z]*) On (.*)]" RegexOption="IgnoreCase" Result="[IsNameAndDate]" />
                                  <If Condition="[FirstComment = False and IsNameAndDate = True]" DisplayName="Save into Table" sap:VirtualizedContainerService.HintSize="607,939" sap2010:WorkflowViewState.IdRef="If_13">
                                    <sap:WorkflowViewStateService.ViewState>
                                      <scg:Dictionary x:TypeArguments="x:String, x:Object">
                                        <x:Boolean x:Key="IsExpanded">True</x:Boolean>
                                        <x:Boolean x:Key="IsPinned">False</x:Boolean>
                                      </scg:Dictionary>
                                    </sap:WorkflowViewStateService.ViewState>
                                    <If.Then>
                                      <Sequence sap:VirtualizedContainerService.HintSize="571,763" sap2010:WorkflowViewState.IdRef="Sequence_27">
                                        <sap:WorkflowViewStateService.ViewState>
                                          <scg:Dictionary x:TypeArguments="x:String, x:Object">
                                            <x:Boolean x:Key="IsExpanded">True</x:Boolean>
                                          </scg:Dictionary>
                                        </sap:WorkflowViewStateService.ViewState>
                                        <If Condition="[IsAttachment]" sap:VirtualizedContainerService.HintSize="529,271" sap2010:WorkflowViewState.IdRef="If_12">
                                          <If.Then>
                                            <Sequence sap:VirtualizedContainerService.HintSize="242,114" sap2010:WorkflowViewState.IdRef="Sequence_25">
                                              <sap:WorkflowViewStateService.ViewState>
                                                <scg:Dictionary x:TypeArguments="x:String, x:Object">
                                                  <x:Boolean x:Key="IsExpanded">True</x:Boolean>
                                                </scg:Dictionary>
                                              </sap:WorkflowViewStateService.ViewState>
                                              <ui:AddDataRow DataRow="{x:Null}" ArrayRow="[{&quot;&quot;,Username,CommentDate,Comment,&quot;=HYPERLINK(&quot;&quot;&quot; +localFolder + AttachmentID +&quot;&quot;&quot;)&quot;}]" DataTable="[CommentTable]" DisplayName="Add Data Row" sap:VirtualizedContainerService.HintSize="200,22" sap2010:WorkflowViewState.IdRef="AddDataRow_7" />
                                            </Sequence>
                                          </If.Then>
                                          <If.Else>
                                            <Sequence sap:VirtualizedContainerService.HintSize="242,114" sap2010:WorkflowViewState.IdRef="Sequence_26">
                                              <sap:WorkflowViewStateService.ViewState>
                                                <scg:Dictionary x:TypeArguments="x:String, x:Object">
                                                  <x:Boolean x:Key="IsExpanded">True</x:Boolean>
                                                </scg:Dictionary>
                                              </sap:WorkflowViewStateService.ViewState>
                                              <ui:AddDataRow DataRow="{x:Null}" ArrayRow="[{&quot;&quot;,Username,CommentDate,Comment,&quot;&quot;}]" DataTable="[CommentTable]" DisplayName="Add Data Row" sap:VirtualizedContainerService.HintSize="200,22" sap2010:WorkflowViewState.IdRef="AddDataRow_8" />
                                            </Sequence>
                                          </If.Else>
                                        </If>
                                        <Assign sap:VirtualizedContainerService.HintSize="529,60" sap2010:WorkflowViewState.IdRef="Assign_24">
                                          <Assign.To>
                                            <OutArgument x:TypeArguments="x:Boolean">[IsAttachment]</OutArgument>
                                          </Assign.To>
                                          <Assign.Value>
                                            <InArgument x:TypeArguments="x:Boolean">False</InArgument>
                                          </Assign.Value>
                                        </Assign>
                                        <Assign sap:VirtualizedContainerService.HintSize="529,60" sap2010:WorkflowViewState.IdRef="Assign_25">
                                          <Assign.To>
                                            <OutArgument x:TypeArguments="x:Int32">[CommentID]</OutArgument>
                                          </Assign.To>
                                          <Assign.Value>
                                            <InArgument x:TypeArguments="x:Int32">[CommentID + 1]</InArgument>
                                          </Assign.Value>
                                        </Assign>
                                        <Assign sap:VirtualizedContainerService.HintSize="529,60" sap2010:WorkflowViewState.IdRef="Assign_26">
                                          <Assign.To>
                                            <OutArgument x:TypeArguments="x:String">[AttachmentID]</OutArgument>
                                          </Assign.To>
                                          <Assign.Value>
                                            <InArgument x:TypeArguments="x:String">[CommentID.ToString + "\"]</InArgument>
                                          </Assign.Value>
                                        </Assign>
                                        <Assign sap:VirtualizedContainerService.HintSize="529,60" sap2010:WorkflowViewState.IdRef="Assign_23">
                                          <Assign.To>
                                            <OutArgument x:TypeArguments="x:Boolean">[readyForAttach]</OutArgument>
                                          </Assign.To>
                                          <Assign.Value>
                                            <InArgument x:TypeArguments="x:Boolean">False</InArgument>
                                          </Assign.Value>
                                        </Assign>
                                      </Sequence>
                                    </If.Then>
                                  </If>
                                  <Assign sap:VirtualizedContainerService.HintSize="607,60" sap2010:WorkflowViewState.IdRef="Assign_18">
                                    <Assign.To>
                                      <OutArgument x:TypeArguments="x:Boolean">[IsAttachment]</OutArgument>
                                    </Assign.To>
                                    <Assign.Value>
                                      <InArgument x:TypeArguments="x:Boolean">False</InArgument>
                                    </Assign.Value>
                                  </Assign>
                                  <If Condition="[IsNameAndDate]" DisplayName="Name and Date Scraping" sap:VirtualizedContainerService.HintSize="607,589" sap2010:WorkflowViewState.IdRef="If_3">
                                    <sap:WorkflowViewStateService.ViewState>
                                      <scg:Dictionary x:TypeArguments="x:String, x:Object">
                                        <x:Boolean x:Key="IsExpanded">True</x:Boolean>
                                        <x:Boolean x:Key="IsPinned">False</x:Boolean>
                                      </scg:Dictionary>
                                    </sap:WorkflowViewStateService.ViewState>
                                    <If.Then>
                                      <Sequence DisplayName="Search for Name and Date in TD" sap:VirtualizedContainerService.HintSize="376,413" sap2010:WorkflowViewState.IdRef="Sequence_7">
                                        <Sequence.Variables>
                                          <Variable x:TypeArguments="scg:IEnumerable(str:Match)" Name="NameAndDate" />
                                        </Sequence.Variables>
                                        <sap:WorkflowViewStateService.ViewState>
                                          <scg:Dictionary x:TypeArguments="x:String, x:Object">
                                            <x:Boolean x:Key="IsExpanded">True</x:Boolean>
                                            <x:Boolean x:Key="IsPinned">False</x:Boolean>
                                          </scg:Dictionary>
                                        </sap:WorkflowViewStateService.ViewState>
                                        <ui:Matches BuilderPattern="\[ Comment By ([a-zA-Z]*,[a-z A-Z]*) On (.*)]" sap:VirtualizedContainerService.HintSize="334,59" sap2010:WorkflowViewState.IdRef="Matches_1" Input="[itemText]" IsBuilderTabModified="True" Model="[{&quot;Index&quot;:0,&quot;OperationID&quot;:&quot;LIT&quot;,&quot;OperationName&quot;:&quot;Literal&quot;,&quot;OperationValue&quot;:&quot;\\[ Comment By ([a-zA-Z]*,[a-z A-Z]*) On (.*)]&quot;,&quot;QuantifierFirstValue&quot;:&quot;1&quot;,&quot;QuantifierID&quot;:&quot;EXT&quot;,&quot;QuantifierName&quot;:&quot;Exactly&quot;,&quot;QuantifierSecondValue&quot;:null}]" Pattern="\[ Comment By ([a-zA-Z]*,[a-z A-Z]*) On (.*?)]" RegexOption="IgnoreCase" Result="[NameAndDate]" />
                                        <ui:MultipleAssign DisplayName="Multiple Assign" sap:VirtualizedContainerService.HintSize="334,222" sap2010:WorkflowViewState.IdRef="MultipleAssign_2">
                                          <ui:MultipleAssign.AssignOperations>
                                            <scg:List x:TypeArguments="ui:AssignOperation" Capacity="8">
                                              <ui:AssignOperation sap2010:WorkflowViewState.IdRef="AssignOperation_3">
                                                <ui:AssignOperation.To>
                                                  <OutArgument x:TypeArguments="x:String">[Username]</OutArgument>
                                                </ui:AssignOperation.To>
                                                <ui:AssignOperation.Value>
                                                  <InArgument x:TypeArguments="x:String">[NameAndDate(0).Groups(1).Value]</InArgument>
                                                </ui:AssignOperation.Value>
                                              </ui:AssignOperation>
                                              <ui:AssignOperation sap2010:WorkflowViewState.IdRef="AssignOperation_4">
                                                <ui:AssignOperation.To>
                                                  <OutArgument x:TypeArguments="x:String">[CommentDate]</OutArgument>
                                                </ui:AssignOperation.To>
                                                <ui:AssignOperation.Value>
                                                  <InArgument x:TypeArguments="x:String">[NameAndDate(0).Groups(2).Value]</InArgument>
                                                </ui:AssignOperation.Value>
                                              </ui:AssignOperation>
                                              <ui:AssignOperation sap2010:WorkflowViewState.IdRef="AssignOperation_5">
                                                <ui:AssignOperation.To>
                                                  <OutArgument x:TypeArguments="x:String">[itemText]</OutArgument>
                                                </ui:AssignOperation.To>
                                                <ui:AssignOperation.Value>
                                                  <InArgument x:TypeArguments="x:String">
                                                    <Literal x:TypeArguments="x:String" Value="" />
                                                  </InArgument>
                                                </ui:AssignOperation.Value>
                                              </ui:AssignOperation>
                                              <ui:AssignOperation sap2010:WorkflowViewState.IdRef="AssignOperation_6">
                                                <ui:AssignOperation.To>
                                                  <OutArgument x:TypeArguments="x:Boolean">[NextIsMessage]</OutArgument>
                                                </ui:AssignOperation.To>
                                                <ui:AssignOperation.Value>
                                                  <InArgument x:TypeArguments="x:Boolean">True</InArgument>
                                                </ui:AssignOperation.Value>
                                              </ui:AssignOperation>
                                              <ui:AssignOperation sap2010:WorkflowViewState.IdRef="AssignOperation_7">
                                                <ui:AssignOperation.To>
                                                  <OutArgument x:TypeArguments="x:Boolean">[FirstComment]</OutArgument>
                                                </ui:AssignOperation.To>
                                                <ui:AssignOperation.Value>
                                                  <InArgument x:TypeArguments="x:Boolean">False</InArgument>
                                                </ui:AssignOperation.Value>
                                              </ui:AssignOperation>
                                            </scg:List>
                                          </ui:MultipleAssign.AssignOperations>
                                        </ui:MultipleAssign>
                                      </Sequence>
                                    </If.Then>
                                  </If>
                                  <If Condition="[itemText.Equals(&quot;&quot;) = False And NextIsMessage = True]" DisplayName="Saving Comment Text" sap:VirtualizedContainerService.HintSize="607,428" sap2010:WorkflowViewState.IdRef="If_5">
                                    <sap:WorkflowViewStateService.ViewState>
                                      <scg:Dictionary x:TypeArguments="x:String, x:Object">
                                        <x:Boolean x:Key="IsExpanded">True</x:Boolean>
                                        <x:Boolean x:Key="IsPinned">False</x:Boolean>
                                      </scg:Dictionary>
                                    </sap:WorkflowViewStateService.ViewState>
                                    <If.Then>
                                      <Sequence sap:VirtualizedContainerService.HintSize="376,252" sap2010:WorkflowViewState.IdRef="Sequence_28">
                                        <sap:WorkflowViewStateService.ViewState>
                                          <scg:Dictionary x:TypeArguments="x:String, x:Object">
                                            <x:Boolean x:Key="IsExpanded">True</x:Boolean>
                                          </scg:Dictionary>
                                        </sap:WorkflowViewStateService.ViewState>
                                        <ui:MultipleAssign DisplayName="Multiple Assign" sap:VirtualizedContainerService.HintSize="334,160" sap2010:WorkflowViewState.IdRef="MultipleAssign_3">
                                          <ui:MultipleAssign.AssignOperations>
                                            <scg:List x:TypeArguments="ui:AssignOperation" Capacity="4">
                                              <ui:AssignOperation sap2010:WorkflowViewState.IdRef="AssignOperation_8">
                                                <ui:AssignOperation.To>
                                                  <OutArgument x:TypeArguments="x:String">[Comment]</OutArgument>
                                                </ui:AssignOperation.To>
                                                <ui:AssignOperation.Value>
                                                  <InArgument x:TypeArguments="x:String">[itemText]</InArgument>
                                                </ui:AssignOperation.Value>
                                              </ui:AssignOperation>
                                              <ui:AssignOperation sap2010:WorkflowViewState.IdRef="AssignOperation_9">
                                                <ui:AssignOperation.To>
                                                  <OutArgument x:TypeArguments="x:Boolean">[NextIsMessage]</OutArgument>
                                                </ui:AssignOperation.To>
                                                <ui:AssignOperation.Value>
                                                  <InArgument x:TypeArguments="x:Boolean">False</InArgument>
                                                </ui:AssignOperation.Value>
                                              </ui:AssignOperation>
                                              <ui:AssignOperation sap2010:WorkflowViewState.IdRef="AssignOperation_10">
                                                <ui:AssignOperation.To>
                                                  <OutArgument x:TypeArguments="x:Boolean">[readyForAttach]</OutArgument>
                                                </ui:AssignOperation.To>
                                                <ui:AssignOperation.Value>
                                                  <InArgument x:TypeArguments="x:Boolean">True</InArgument>
                                                </ui:AssignOperation.Value>
                                              </ui:AssignOperation>
                                            </scg:List>
                                          </ui:MultipleAssign.AssignOperations>
                                        </ui:MultipleAssign>
                                      </Sequence>
                                    </If.Then>
                                  </If>
                                  <If Condition="[readyForAttach = true and itemHref.Contains(&quot;libraries.ge.com&quot;)]" DisplayName="Save Attachments" sap:VirtualizedContainerService.HintSize="607,704" sap2010:WorkflowViewState.IdRef="If_6">
                                    <sap:WorkflowViewStateService.ViewState>
                                      <scg:Dictionary x:TypeArguments="x:String, x:Object">
                                        <x:Boolean x:Key="IsExpanded">True</x:Boolean>
                                        <x:Boolean x:Key="IsPinned">False</x:Boolean>
                                      </scg:Dictionary>
                                    </sap:WorkflowViewStateService.ViewState>
                                    <If.Then>
                                      <Sequence sap:VirtualizedContainerService.HintSize="376,528" sap2010:WorkflowViewState.IdRef="Sequence_9">
                                        <Sequence.Variables>
                                          <Variable x:TypeArguments="x:String" Name="out_FullPath" />
                                          <Variable x:TypeArguments="x:String" Default="[CommentID.ToString + &quot;\&quot;]" Name="Attachment" />
                                        </Sequence.Variables>
                                        <sap:WorkflowViewStateService.ViewState>
                                          <scg:Dictionary x:TypeArguments="x:String, x:Object">
                                            <x:Boolean x:Key="IsExpanded">True</x:Boolean>
                                            <x:Boolean x:Key="IsPinned">False</x:Boolean>
                                          </scg:Dictionary>
                                        </sap:WorkflowViewStateService.ViewState>
                                        <AddToCollection x:TypeArguments="x:String" Collection="[links]" DisplayName="Save file name" sap:VirtualizedContainerService.HintSize="334,22" sap2010:WorkflowViewState.IdRef="AddToCollection`1_2" Item="[itemText]" />
                                        <Assign sap:VirtualizedContainerService.HintSize="334,60" sap2010:WorkflowViewState.IdRef="Assign_27">
                                          <Assign.To>
                                            <OutArgument x:TypeArguments="x:String">[AttachmentID]</OutArgument>
                                          </Assign.To>
                                          <Assign.Value>
                                            <InArgument x:TypeArguments="x:String">[Attachment]</InArgument>
                                          </Assign.Value>
                                        </Assign>
                                        <ui:InvokeWorkflowFile ArgumentsVariable="{x:Null}" ContinueOnError="{x:Null}" DisplayName="Invoke FileDownload workflow" sap:VirtualizedContainerService.HintSize="334,112" sap2010:WorkflowViewState.IdRef="InvokeWorkflowFile_2" LogEntry="No" LogExit="No" UnSafe="False" WorkflowFileName="SupportCentral\FileDownload.xaml">
                                          <ui:InvokeWorkflowFile.Arguments>
                                            <InArgument x:TypeArguments="x:String" x:Key="in_FileURL">
                                              <mva:VisualBasicValue x:TypeArguments="x:String" ExpressionText="itemHref" />
                                            </InArgument>
                                            <InArgument x:TypeArguments="x:String" x:Key="in_DestinationFolder">
                                              <mva:VisualBasicValue x:TypeArguments="x:String" ExpressionText="CompleteFolder + AttachmentId" />
                                            </InArgument>
                                            <OutArgument x:TypeArguments="x:String" x:Key="out_FullPath">
                                              <mva:VisualBasicReference x:TypeArguments="x:String" ExpressionText="FullPath" />
                                            </OutArgument>
                                          </ui:InvokeWorkflowFile.Arguments>
                                        </ui:InvokeWorkflowFile>
                                        <AddToCollection x:TypeArguments="x:String" Collection="[files]" DisplayName="Save file path" sap:VirtualizedContainerService.HintSize="334,22" sap2010:WorkflowViewState.IdRef="AddToCollection`1_4" Item="[FullPath]" />
                                        <Assign sap:VirtualizedContainerService.HintSize="334,60" sap2010:WorkflowViewState.IdRef="Assign_19">
                                          <Assign.To>
                                            <OutArgument x:TypeArguments="x:Boolean">[IsAttachment]</OutArgument>
                                          </Assign.To>
                                          <Assign.Value>
                                            <InArgument x:TypeArguments="x:Boolean">True</InArgument>
                                          </Assign.Value>
                                        </Assign>
                                      </Sequence>
                                    </If.Then>
                                  </If>
                                </Sequence>
                              </If.Else>
                            </If>
                          </Sequence>
                        </ActivityAction>
                      </ui:ForEach.Body>
                    </ui:ForEach>
                  </Sequence>
                </ActivityAction>
              </ui:ForEach.Body>
            </ui:ForEach>
          </Sequence>
        </ActivityAction>
      </ui:OpenBrowser.Body>
    </ui:OpenBrowser>
  </Sequence>
</Activity>